* {
    font-family: 'Lucida Sans', 'Lucida Sans Regular', 'Lucida Grande', 'Lucida Sans Unicode', Geneva, Verdana, sans-serif;
    font-size: 14px;
    box-sizing: border-box;
}
body {
    background-image: url(../Picture/Site2.jpeg);
    background-repeat: no-repeat;
    background-size: cover;
    background-attachment: fixed;

    display: flex;
    justify-content: center;
    align-items: center;
}
form {
    width: 240px;
    min-height: 280px;
    height: auto;
    background-color: white;
    border-radius: 10px;
    padding: 20px;
    margin-top: 115px;
}
.fas {
    font-size: 30px;
    display: block;
    margin-top: 2px;
    padding-left: 84px;
    color: black;
}
.input-group {
    position: relative;
    margin-top: 20px;
    margin-bottom: 10px;
    height: 45px;
}
.input-group input {
    width: 100%;
    height: 100%; /* KUNCI UTAMA: Memaksa tinggi kotak semua input seragam 45px */
    padding: 12px 10px;
    border: 1px solid black;
    border-radius: 5px;
    outline: none;
    background: white; 
    transition: 0.2s;
}
form input[type="text"], form input[type="email"], form input[type="password"] {
    width: 100%;
    padding: 12px 10px;
    border: 1px solid black;
    border-radius: 5px;
    outline: none;
    background: transparent;
    transition: 0.2s;
    margin: auto;
}
.input-group input:focus {
    border-color: gold;
}
form .input-group label {
    position: absolute;
    left: 10px;
    top: 30%;
    background: white;
    color: gray;
    padding: 0 5px;
    transition: .3s;
    pointer-events: none;
}
form .input-group input:focus~label, .input-group input:not(:placeholder-shown)~label {
    top: 0;
    transform: translateY(-50%); 
    font-size: 12px;
    color: gold;
}
form p button {
    width: 197px;
    height: 35px;
    background-color: gold;
    margin: auto;
    margin-top: 5px;
    border: none;
    border-radius: 3px;
    font-weight: bold;
}
form p button:hover {
    background-color: gray;
    color: white;
}
form .plogin {
    margin: auto;
    margin-top: 10px;
    display: flex;
    justify-content: center;
    text-align: center;
}